| Home | Libraries | People | FAQ | More

## Class no_slots_error

boost::signals2::no_slots_error — Indicates a combiner was unable to synthesize a return value.

## Synopsis

    // In header: <boost/signals2/last_value.hpp>

    class no_slots_error : public std::exception {
    public:
      virtual const char *  what() const;
    };

## Description

The `no_slots_error` exception may be thrown by signals2::last_value when it is run but unable to obtain any results from its input iterators.

    virtual const char *  what() const;